/*
 * LCD Demo Application
 * Copyright (c) 2013-2014 China JiLiang University
 * All Rights Reserved.
 */

/*!
 * @file        LCDDriver.h
 * @version     1.0
 * @author      Kai Zhang
 * @date        2013-07-07
 * @brief       Һʾ
 *
 * //		________
 *				|
 *			 PC6|-->SCK		ʱ
 *			 PC7|-->SDA		ݴ
 *	M4  	 PB1|-->CS		͵ƽƬѡ
 *			 PD1|-->CD		/ָĴ
 *			 PE5|-->RST		͵ƽλ
 *		________|
 *
 *   	Created on: 2013-5-21
 * 	 	Author: Xiaoru
 */

#ifndef LCD_H_
#define LCD_H_

#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "driverlib/gpio.h"
#include "driverlib/sysctl.h"
#include "driverlib/rom.h"
#include "driverlib/rom_map.h"

#define LCD_DRAW_NORMAL				0		// ʾ
#define LCD_DRAW_HIGHLIGHT			1		// ʾ
#define LCD_MAX_RAW					4		// Һ
#define LCD_MAX_COL					120		// Һ

// LCD
void LCD_ScreenClr();

// ʹLCDõĶ˿
void LCD_Enable();

// ʱ
void LCD_Delay2(unsigned int i);

// ʱ
void LCD_Delay3(unsigned int i);

// ʾģ
void LCD_TransferData(unsigned char data, bool b_invert);

// LCDָ
void LCD_TransferCmd(unsigned char command);

// LCDʼ
void LCD_Init();

// ʾ8*16ģ
unsigned char LCD_Draw_Char(char c,unsigned char page,unsigned char col, bool b_invert);

// ʾ8*8ģ
void LCD_Draw_Byte(bool b_invert);

// ʾ
unsigned char LCD_Draw_Chinese(unsigned char index, unsigned char raw,unsigned char col, bool b_invert);

// 仯
void LCD_MatrixChange(unsigned char * p_Char);

// ת
void LCD_InvertLight_All(bool b_Invert);

// ȫʾͼ
void DisplayGraphic1();

#endif /* LCD_H_ */
